#include <avr/io.h>		// for the input/output register

#define F_CPU 16000000  
#define BAUDRATE 38400
#define BAUD_PRESCALLER (((F_CPU / (BAUDRATE * 16UL))) - 1)
#define RX_BUFF			10



void init_serial(int speed);
void send_serial(uint8_t c);
void putByte(unsigned char data);
uint8_t receive_serial(uint8_t ReceivedChar);
void writeString(char *str);
uint8_t getByte(void);
const char* readString(void);



