#include <avr/io.h>
#include <avr/interrupt.h>
#include "sw_uart_config.h"

void timer0_init(void);
void sw_uart_init(void);
void sw_UART_Transmit_char(char ch);
char sw_UART_Receive_char( void );
int get_rx_pin_status(void);
void softuart_turn_rx_on( void );
void softuart_turn_rx_off( void );
void set_tx_pin_high(void);
void set_tx_pin_low(void);
void flush_input_buffer(void);
void frame_calc(unsigned char ch);

